Subject: Re: b20: problems in tempnam
From: [email-masked] (Mumit Khan)

30 Nov 1998 01:51:54 -0800
Message-ID: <[email-masked]>
References: <3.0.5.32.19981129183755.00b8e640@localhost>
To: Henrik Frystyk Nielsen <[email-masked]>
Cc: [email-masked]

Henrik Frystyk Nielsen <[email-masked]> writes:
> 
> I found a somewhat recent reference to same/similar problem in tempnam:
> 
> 	http://www.eGroups.com/list/gnu-win32/8225.html
> 
> but that was for b19 - I have certain problems in b20 as well - tempnam
> bails out with an argument like this for example:
> 
> 	const char * dir = "E:\\TEMP/w3c-cache/270";
> 	tempnam(dir, NULL);
> 
> results in
> 
> 	Program received signal SIGSEGV, Segmentation fault.
> 	0x61051acc in _size_of_stack_reserve__ ()
> 

It's a bug in newlib's tempnam_r implementations (called by tempnam),
where a NULL second arg causes a segmentation violation. I'll send
a fix to cygwin folks. Newlib has quite a few of these bugs, so please
keep on sending in the bug reports (preferably with test cases as this
so we can fix these).

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".